Naar inhoud springen
Tibata
Docs
Spaces

Batch Create Spaces

POST
/v1/spaces/batch

Creates multiple spaces in a single request. Every item is processed even if some fail — check each entry in the response to see which succeeded and which failed.

Autorisatie

bearerAuth
headerAutorisatieBearer <token>

Request-body

Spaces to add

application/json
  1. body
[index: integer]?

Responsbody

All spaces created successfully

application/json
  1. response
data*array<>
Voorbeeldverzoek
curl -X POST 'https://api.tibata.ai/v1/spaces/batch' \  -H 'Content-Type: application/json' \  -d '[  {    "name": "Space 1",    "slug": "space-1",    "description": "Space 1 description",    "applyProjectDefaults": true  },  {    "name": "Space 2",    "slug": "space-2",    "description": "Space 2 description"  }]'
Voorbeeldrespons
{  "data": [    {      "space": {        "id": "tB6gszM_JPk7vKaHfz1H4",        "name": "Space 1",        "slug": "space-1",        "description": "Space 1 description",        "url": "https://app.tibata.ai/o/my-org/space-1",        "restricted": false      },      "error": null    },    {      "space": {        "id": "uC7htzN_KQl8wLbIgy2I5",        "name": "Space 2",        "slug": "space-2",        "description": "Space 2 description",        "url": "https://app.tibata.ai/o/my-org/space-2",        "restricted": false      },      "error": null    }  ]}